Bug 126888 - [patch] textproc/xerces-c2 port tinderbox failing
Summary: [patch] textproc/xerces-c2 port tinderbox failing
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-27 15:00 UTC by Ken Menzel
Modified: 2008-09-06 02:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.58 KB, patch)
2008-08-27 15:00 UTC, Ken Menzel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ken Menzel 2008-08-27 15:00:03 UTC
Port build on tinderbox failed do to find docs installed even though with following vars set:
NOPORTDOCS=yes,  NOPORTEXAMPLES=yes, NOPORTDATA=yes, FORCE_PACKAGE=yes.

Furthur the docs were not deinstalled.  A patch has been created to modify the port to honor NOPORTDOCS=yes and  NOPORTEXAMPLES=yes.

Fix: Please commit the attached patch which change to WITHOUT_DOCS style variables to NOPORTDOCS, same for examples. Patch is also available on http://www.kodem.com/ports/ .

Patch attached with submission follows:
How-To-Repeat: build textproc/xerces-c2 with following vars set:
NOPORTDOCS=yes,  NOPORTEXAMPLES=yes, NOPORTDATA=yes, FORCE_PACKAGE=yes and the local config set to install docs and examples.  Install and remove the port. The docs will still be installed but not deinstalled. Examples with be installed and deinstalled.
Comment 1 Edwin Groothuis freebsd_committer 2008-08-27 15:00:18 UTC
Class Changed
From-To: sw-bug->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Dmitry Marakasov freebsd_committer 2008-09-02 21:50:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 3 Dmitry Marakasov freebsd_committer 2008-09-06 02:10:23 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2008-09-06 02:10:23 UTC
amdmi3      2008-09-06 01:10:09 UTC

  FreeBSD ports repository

  Modified files:
    textproc/xerces-c2   Makefile pkg-plist 
  Log:
  - Fix build with NOPORTDOCS/NOPORTEXAMPLES
  - Use NOPORTDOCS/NOPORTEXAMPLES instead of options
  - Some related cleanups
  
  PR:             126888
  Submitted by:   Ken Menzel <kenm at icarz dot com> (maintainer)
  
  Revision  Changes    Path
  1.25      +8 -17     ports/textproc/xerces-c2/Makefile
  1.11      +120 -121  ports/textproc/xerces-c2/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"